- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# peoAggEvalFunc< EOT > Class Template Reference

The peoAggEvalFunc class offers only the interface for creating aggregate evaluation functions - there are no direct internal functions provided. More...

`#include <peoAggEvalFunc.h>`

Inheritance diagram for peoAggEvalFunc< EOT >:

## Detailed Description

### template<class EOT>
class peoAggEvalFunc< EOT >

The peoAggEvalFunc class offers only the interface for creating aggregate evaluation functions - there are no direct internal functions provided.

The class inherits public eoBF< EOT&, const typename EOT :: Fitness&, void > thus requiring, for the derived classes, the creation of a function having the following signature:

void operator()( EOT& __eot, const typename EOT :: Fitness& __partial_fittness ); |

The aggregation object is called in an iterative manner for each of the results obtained by applying partial evaluation functions.

Definition at line 25 of file peoAggEvalFunc.h.

The documentation for this class was generated from the following file:

- peoAggEvalFunc.h